<?

namespace Shop\Repositories;

use Core\Repository\CrudInterface;
use Core\Repository\PropelQueryAbstract;
use Shop\Models\StateLog\StateLogQuery;
use Shop\Models\StateLog\StateLog as StateLogEntity;

/**
 * Description of Payment
 *
 * @author Admin
 */
class StateLog extends PropelQueryAbstract implements CrudInterface
{

    public function buildEntity()
    {
        return new StateLogEntity;
    }

    public function buildQuery()
    {
        return StateLogQuery::create();
    }

    
}